# files

abstract fun files(@Nullable paths: Array<@Nullable Any>): ConfigurableFileCollection

Returns a ConfigurableFileCollection containing the given files. This works as described for files. Relative paths are resolved relative to the directory containing this script.

#### Return

The file collection. Never returns null.

#### Parameters

paths

The paths to the files. May be empty.

abstract fun files(paths: Any, configureClosure: Closure): ConfigurableFileCollection

Creates a new `ConfigurableFileCollection` using the given paths. The file collection is configured using the given closure. This method works as described for files. Relative paths are resolved relative to the directory containing this script.

#### Return

the configured file tree. Never returns null.

#### Parameters

paths

The contents of the file collection. Evaluated as per files.

configureClosure

The closure to use to configure the file collection.